#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-api-tests
version: 0.3
id: crypto-api-tests-0.3-3nfN9uoIAVVLgrl0IZA81B
key: crypto-api-tests-0.3-3nfN9uoIAVVLgrl0IZA81B
license: BSD-3-Clause
copyright: Thomas DuBuisson <thomas.dubuisson@gmail.com>
maintainer: Thomas DuBuisson <thomas.dubuisson@gmail.com>
author: Thomas DuBuisson <thomas.dubuisson@gmail.com>
stability: stable
homepage: http://trac.haskell.org/crypto-api/wiki
synopsis: A test framework and KATs for cryptographic operations.
description:
    A test framework for hash and cipher operations using
    the crypto-api interface.  Known answer tests (KATs)
    for common cryptographic algorithms are included.
    Patches welcome (both adding KATs for more algorithms
    or property tests for classes of algorithms).
category: Data, Cryptography
abi: 4254fcb2f3ee0c0f6fdd16ab50330cc6
exposed: True
exposed-modules:
    Test.AES Test.Crypto Test.HMAC Test.MD5 Test.ParseNistKATs Test.SHA
    Test.TwoFish
hidden-modules: Paths_crypto_api_tests
import-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-api-tests-0.3
library-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-api-tests-0.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/crypto-api-tests-0.3
hs-libraries: HScrypto-api-tests-0.3-3nfN9uoIAVVLgrl0IZA81B
depends:
    HUnit-1.6.0.0-8OmbxYW4AG9PppbZs26Xx
    QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr base-4.11.1.0
    bytestring-0.10.8.2 cereal-0.5.7.0-GeNBgd8Wa452X4EoKnwsnC
    crypto-api-0.13.3-H6IfzwtYtsODXXfSTi5z5x directory-1.3.1.5
    filepath-1.4.2 test-framework-0.8.2.0-JBDezOFh2qBIYDspvHkHyy
    test-framework-hunit-0.3.0.2-K8oGbmVYA5ZLt869z4fD6p
    test-framework-quickcheck2-0.3.0.5-4jU75iclYMDF2lhv1iRQN7
abi-depends: HUnit-1.6.0.0-8OmbxYW4AG9PppbZs26Xx=b175aabb3dd9ae95a14a70d0ded5aa16
             QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr=0b62adbb61d61aac8d449588192e831b
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             cereal-0.5.7.0-GeNBgd8Wa452X4EoKnwsnC=91a5befe140ca1e57734aef5b9be7102
             crypto-api-0.13.3-H6IfzwtYtsODXXfSTi5z5x=77fff9de6de15e8cfa3572530a17c761
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             filepath-1.4.2=f8b35940dbf3bb5331e1c5ab9738687d
             test-framework-0.8.2.0-JBDezOFh2qBIYDspvHkHyy=8b9527e50f90bdc3e771cc91e7017e76
             test-framework-hunit-0.3.0.2-K8oGbmVYA5ZLt869z4fD6p=bc04b95287513b7caf3134560db6443d
             test-framework-quickcheck2-0.3.0.5-4jU75iclYMDF2lhv1iRQN7=ce345756f9c6e22f4b609a273ea9b954
haddock-interfaces: /usr/share/doc/haskell-crypto-api-tests/html/crypto-api-tests.haddock
haddock-html: /usr/share/doc/haskell-crypto-api-tests/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

